#if !defined(_UNIFORM_MOTION_HEADER_)
#define _UNIFORM_MOTION_HEADER_


//  ӵ 
class CUniformMotion
{
public:
	CUniformMotion(double Vx, double Vy, double x0 = 0.0, double y0 = 0.0)
	: Vx_(Vx), Vy_(Vy), Vz_(0.0), x0_(x0), y0_(y0), z0_(0.0)
	{}
	CUniformMotion(double Vx, double Vy, double Vz, double x0 = 0.0, double y0 = 0.0, double z0 = 0.0)
	: Vx_(Vx), Vy_(Vy), Vz_(Vz), x0_(x0), y0_(y0), z0_(z0)
	{}
	~CUniformMotion()  {}

	//  ð t  ġ
	double getX(double t) const;
	double getY(double t) const;
	double getZ(double t) const;

	//  ð t  ӵ
	double getVx(double) const;
	double getVy(double) const;
	double getVz(double) const;

	//  ð t  ӵ
	double getAx(double) const;
	double getAy(double) const;
	double getAz(double) const;

protected:
	const double Vx_, Vy_, Vz_;
	const double x0_, y0_, z0_;
};


#endif  //  _UNIFORM_MOTION_HEADER_
