void InitLight (void)	 // InitLight Լ 
{
	//  ϴ κ̴.
	GLfloat LightAmbient[]	= { 0.2f, 0.2f, 0.2f, 1.0f };	// ֺ   
	GLfloat LightDiffuse[] 	= { 0.8f, 0.8f, 0.8f, 1.0f};	// ݻ   
	GLfloat LightSpecular[] 	= { 1.0f, 1.0f, 1.0f, 1.0f };	// ݻ   

	//  ġ ϴ κ OpenGL δ ⼭  ġ
	// ﰢ κ ͸ Ѵ.
	//  LightPosition  ° Ұ 1.0f̸  ġ Ǹ
	// 0.0f ϸ [0.0f, 0.0f, 2.0f]  ͷ ϴ Ɽ ȴ.
	// ⼭ 1.0f ̹Ƿ, z 2.0  ġѴ.
	GLfloat LightPosition[]  	= { 0.0f, 0.0f, 2.0f, 1.0f };
	
	//  Ȱȭϴ κ̴.
	glEnable(GL_LIGHTING);
	
	// ù ° (LIGHT0)  꿡 ԽŰ ϴ κ̴.
	glEnable(GL_LIGHT0);

	//     迭 Ƴ Ϳ Ұϰ,  迭 OpenGL	
	//    ƾ  Ѵ.
	// glLightf   Լ̸, ù ° ڴ  ID, ⼭	
	//  ù ° (LIGHT0) Ѵ.  ° ڴ   Ҹ 	
	//  κ̴.  ° ڴ   ϴ κ̴.
	glLightfv( GL_LIGHT0, GL_AMBIENT, LightAmbient);  	// ֺ   
	glLightfv( GL_LIGHT0, GL_DIFFUSE, LightDiffuse);	    	// ݻ   
	glLightfv( GL_LIGHT0, GL_SPECULAR, LightSpecular); 	// ݻ   
	glLightfv( GL_LIGHT0, GL_POSITION, LightPosition);  	//  ġ 
}  // InitLight Լ 
  
  // Լ ﰢ  ϴ κ̴. ﰢ  Ķ ϵ ϰڴ.
void SetMaterial(void)	 // SetMaterial Լ 
{
	//  ϴ κ̴.   ʵ ϰڴ.
	GLfloat matAmbient[]	= { 0.2f, 0.2f, 0.2f, 1.0f };		// ֺ   
	GLfloat matDiffuse[] 	= { 0.0f, 0.0f, 1.0f, 1.0f};		// ݻ    (Ķ)
	GLfloat matSpecular[] 	= { 1.0f, 1.0f, 1.0f, 1.0f };		// ݻ   

	//     迭 Ƴ Ϳ Ұϰ,  迭 OpenGL	
	//     ؾ Ѵ.
	// glMaterial   Լ̸, ù ° ڴ    ϴ κ	// ̸,  ° ڴ   Ҹ ϴ κ̴.
	//  ° ڴ   ϴ κ̴.
	// ⼭ յ޸ ο   ϵ ϱ  GL_FRONT_AND_BACK 
	// ù ° ڷ ϵ ϰڴ.
	glMaterialfv( GL_FRONT_AND_BACK, GL_AMBIENT, matAmbient);  	// ֺ   
	glMaterialfv( GL_FRONT_AND_BACK, GL_DIFFUSE, matDiffuse);    	// ݻ   
	glMaterialfv( GL_FRONT_AND_BACK, GL_SPECULAR, matSpecular); // ݻ   
   glMaterialf( GL_FRONT_AND_BACK, GL_SHININESS, 50); 			// ݻ絵  (50)
}  // SetMaterial Լ 

  // Լ  ʱȭϰ ϴ κ̴.
void RenderFrame(void)	// RenderFrame Լ 
{	
	// OpenGL Buffer Clear
	glClear(GL_COLOR_BUFFER_BIT| GL_DEPTH_BUFFER_BIT);
	
	// Clear  ()
	glClearColor(1.0f, 1.0f, 1.0f, 1.0f);
	glMatrixMode (GL_MODELVIEW);
	
	//   Լ ȣѴ.
	InitLight();		

	//  Լ ȣѴ.
	SetMaterial();

	//  Ѵ. GL_SMOOTH  ε  
	glShadeModel(GL_SMOOTH);
	
	// 簢 
	//  ϴ  ٰ Ѵ.
	//    ݽð̴.	
	glBegin(GL_POLYGON);				
	glNormal3f(0.0f, 0.0f, 1.0f);		// ﰢ ù°    
	glVertex3f(0.0f, 0.0f, 0.0f);		// ﰢ ù°  ǥ 

	glNormal3f(0.0f, 0.0f, 1.0f);		// ﰢ ι°     
	glVertex3f(4.0f, 0.0f, 0.0f);		// ﰢ ι°  ǥ 

	glNormal3f(0.0f, 0.0f, 1.0f);		// ﰢ °     
	glVertex3f(4.0f, 2.0f, 0.0f);		// ﰢ °  ǥ 

	glEnd();				// 簢  Ϸ

} 
