#include "UniformlyAcceleratedMotion.h"


//  ð t  ġ
double CUniformlyAcceleratedMotion::getX(double t) const
{  return 0.5 * Ax_ * t * t + Vx0_ * t + x0_;  }

double CUniformlyAcceleratedMotion::getY(double t) const
{  return 0.5 * Ay_ * t * t + Vy0_ * t + y0_;  }

double CUniformlyAcceleratedMotion::getZ(double t) const
{  return 0.5 * Az_ * t * t + Vz0_ * t + z0_;  }

//  ð t  ӵ
double CUniformlyAcceleratedMotion::getVx(double t) const
{  return Ax_ * t + Vx0_;  }

double CUniformlyAcceleratedMotion::getVy(double t) const
{  return Ay_ * t + Vy0_;  }

double CUniformlyAcceleratedMotion::getVz(double t) const
{  return Az_ * t + Vz0_;  }


//  ð t  ӵ
double CUniformlyAcceleratedMotion::getAx(double) const
{  return Ax_;  }

double CUniformlyAcceleratedMotion::getAy(double) const
{  return Ay_;  }

double CUniformlyAcceleratedMotion::getAz(double) const
{  return Az_;  }
